<?php
class SqlServerConnection
{
    public $conexion;

    function __construct()
    {
        $this->conexion;
    }

    public function conectar($servidor = '192.168.11.2', $base = "seac-main", $usuario = "seac-web", $contrasenia = "s34c221l.d3v_2022$$")
    {
        try {
            $this->conexion = new PDO("sqlsrv:server=$servidor;database=$base", $usuario, $contrasenia);
            $this->conexion->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            $this->conexion->setAttribute(PDO::SQLSRV_ATTR_ENCODING, PDO::SQLSRV_ENCODING_UTF8);

            return $this->conexion;
        } catch (PDOException $e) {
            var_dump($e->getMessage());
            die;
        }
    }
}
